package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 报送资料要求
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-10
 */
@ApiModel(value="CostProjectMaterial对象", description="报送资料要求")
public class CostProjectMaterial extends BaseModel<CostProjectMaterial> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonProperty("id")
    private String id;
    
    @ApiModelProperty(value = "关联立项主表ID")
    @TableField("project_id")
    @JsonProperty("projectId")
    private String projectId;
    
    @ApiModelProperty(value = "备注")
    @TableField("remark")
    @JsonProperty("remark")
    private String remark;
    

    @ApiModelProperty(value = "主键")
    @TableField("catalog_id")
    @JsonProperty("catalogId")
    private String catalogId;
    
    @ApiModelProperty(value = "资料类别")
    @TableField("information_type")
    @JsonProperty("informationType")
    private String informationType;


    @ApiModelProperty(value = "资料类别")
    @TableField(exist = false)
    @JsonProperty("informationTypeName")
    private String informationTypeName;
    
    @ApiModelProperty(value = "资料名称")
    @TableField("information_name")
    @JsonProperty("informationName")
    private String informationName;
    
    @ApiModelProperty(value = "资料要求")
    @TableField("information_require")
    @JsonProperty("informationRequire")
    private String informationRequire;

    @ApiModelProperty(value = "资料类别名称")
    @TableField(exist = false)
    @JsonProperty("formatRequiredName")
    private String formatRequiredName;

    @ApiModelProperty(value = "资料排序")
    @TableField("order_num")
    @JsonProperty("orderNum")
    private Integer orderNum;
    
    @ApiModelProperty(value = "是否必填")
    @TableField("is_required")
    @JsonProperty("isRequired")
    private String isRequired;
    
    @ApiModelProperty(value = "模板id")
    @TableField("template_id")
    @JsonProperty("templateId")
    private String templateId;
    
    @ApiModelProperty(value = "格式要求 1文档文件、2excel、3预置模板")
    @TableField("format_required")
    @JsonProperty("formatRequired")
    private String formatRequired;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonProperty("createTime")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_by", fill = FieldFill.INSERT)
    @JsonProperty("createBy")
    private String createBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "更新人")
    @TableField(value = "update_by", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateBy")
    private String updateBy;


    @ApiModelProperty(value = "调查表模板名称")
    @TableField(exist = false)
    private String surveyTemplateName;




    public String getSurveyTemplateName() {
        return surveyTemplateName;
    }

    public void setSurveyTemplateName(String surveyTemplateName) {
        this.surveyTemplateName = surveyTemplateName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public String getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(String catalogId) {
        this.catalogId = catalogId;
    }
    public String getInformationType() {
        return informationType;
    }

    public String getInformationTypeName() {
        return informationTypeName;
    }
    public void setInformationTypeName(String informationTypeName) {
        this.informationTypeName = informationTypeName;
    }
    public void setInformationType(String informationType) {
        this.informationType = informationType;
    }
    public String getInformationName() {
        return informationName;
    }

    public void setInformationName(String informationName) {
        this.informationName = informationName;
    }
    public String getInformationRequire() {
        return informationRequire;
    }

    public void setInformationRequire(String informationRequire) {
        this.informationRequire = informationRequire;
    }

    public String getFormatRequiredName() {
        return formatRequiredName;
    }

    public void setFormatRequiredName(String formatRequiredName) {
        this.formatRequiredName = formatRequiredName;
    }
    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }
    public String getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(String isRequired) {
        this.isRequired = isRequired;
    }
    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }
    public String getFormatRequired() {
        return formatRequired;
    }

    public void setFormatRequired(String formatRequired) {
        this.formatRequired = formatRequired;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostProjectMaterial{" +
            "id=" + id +
            ", projectId=" + projectId +
            ", remark=" + remark +
            ", createBy=" + createBy +
            ", catalogId=" + catalogId +
            ", informationType=" + informationType +
            ", informationName=" + informationName +
            ", informationRequire=" + informationRequire +
            ", orderNum=" + orderNum +
            ", isRequired=" + isRequired +
            ", templateId=" + templateId +
            ", formatRequired=" + formatRequired +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
        "}";
    }
}
